#/*++
#  Copyright (c) 2008, Intel Corporation
#  All rights reserved. 
# 
#  This UEFI SCT ("Software") is furnished under license and may only be used or copied
#  in accordance with the terms of that license UEFI Contributor Agreement.
#  No license, express or implied, by estoppel or otherwise, to any intellectual property
#  rights is granted by this document. The Software is subject to change without notice,
#  and should not be construed as a commitment by Intel Corporation to market, license,
#  sell or support any product or technology. Unless otherwise provided for in the license
#  under which this Software is provided, the Software is provided AS IS, with no warranties
#  of any kind, express or implied. Except as expressly permitted by the Software license,
#  neither Intel Corporation nor its suppliers assumes any responsibility or liability
#  for any errors or inaccuracies that may appear herein.
#--*/
# 
# Module Name:
#   
#     TestCase.tcl
#     
# Abstract:
# 
#     Implementation for EMS About function
#

if {[info exist ABOUT_TCL] == 1} {
  return
}
set ABOUT_TCL 1

# 
# Routine Description:
# 
#   ENTS About form.
# 
# Arguments:
# 
#   None.
# 
# Returns:
# 
#   None.
# 
proc CmdHelpAbout {} {
  global  GuiColors GuiFrames

  catch "destroy .emsAbout"
  toplevel .emsAbout -background LightGray
  wm withdraw .emsAbout
  wm title .emsAbout {About ENTS}

  set Parent .emsAbout
  set Name $Parent.mainwin
  frame $Name -background  $GuiColors(background)  -height 20 -width 80
  pack $Name -anchor nw -side top -fill x -padx 0 -pady 5
  
  set Name $Parent.mainwin.info
  label $Name  -background LightGray -font EmsBasicFont \
               -justify left -text  \
  {  EMS(Efi Management Side for UEFI SCT)
  Copyright (c) 2006, Intel Corporation
  All rights reserved. 

  This UEFI SCT ("Software") is furnished under license and may only be used or copied
  in accordance with the terms of that license UEFI Contributor Agreement.
  No license, express or implied, by estoppel or otherwise, to any intellectual property
  rights is granted by this document. The Software is subject to change without notice,
  and should not be construed as a commitment by Intel Corporation to market, license,
  sell or support any product or technology. Unless otherwise provided for in the license
  under which this Software is provided, the Software is provided AS IS, with no warranties
  of any kind, express or implied. Except as expressly permitted by the Software license,
  neither Intel Corporation nor its suppliers assumes any responsibility or liability
  for any errors or inaccuracies that may appear herein. 
  }
  
  pack $Name -side top -anchor nw

  set Name $Parent.mainwin1
  frame $Name -background lightgray  -height 20 -width 80
  pack $Name -anchor nw -side top -fill x -padx 0 -pady 5
     
  set Name $Parent.mainwin1.btn_close
  button $Name  -activebackground Lavender -background $GuiColors(background) \
        -command {destroy .emsAbout } -foreground $GuiColors(foreground) \
        -highlightbackground LightGray -text close \
        -height 1 -width 10
  pack $Name -anchor ne -side bottom -fill none

  set x [expr [winfo rootx $GuiFrames(main)] + 30]
  set y [expr [winfo rooty $GuiFrames(main)] + 30]
  wm geometry .emsAbout +$x+$y
  wm deiconify .emsAbout
  wm resizable .emsAbout 0 0 
  raise .emsAbout
  update
  wm minsize .emsAbout [winfo width .emsAbout] \
        [winfo height .emsAbout]
  wm maxsize .emsAbout [winfo width .emsAbout] \
        [winfo height .emsAbout]

  focus .emsAbout
  grab  .emsAbout
  tkwait window .emsAbout
}
