#/*++
#  Copyright (c) 2008, Intel Corporation
#  All rights reserved. 
# 
#  This UEFI SCT ("Software") is furnished under license and may only be used or copied
#  in accordance with the terms of that license UEFI Contributor Agreement.
#  No license, express or implied, by estoppel or otherwise, to any intellectual property
#  rights is granted by this document. The Software is subject to change without notice,
#  and should not be construed as a commitment by Intel Corporation to market, license,
#  sell or support any product or technology. Unless otherwise provided for in the license
#  under which this Software is provided, the Software is provided AS IS, with no warranties
#  of any kind, express or implied. Except as expressly permitted by the Software license,
#  neither Intel Corporation nor its suppliers assumes any responsibility or liability
#  for any errors or inaccuracies that may appear herein.
#--*/
################################################################################
CaseLevel         CONFORMANCE
CaseAttribute     AUTO
CaseVerboseLevel  DEFAULT
set reportfile    report.csv

#
# test case Name, category, description, GUID...
#
CaseGuid        39F6D44D-66E7-4a24-B972-19B9BD9CF112
CaseName        DestroyChild.Conf2.Case1
CaseCategory    MNP
CaseDescription {Test the EFI_UNSUPPORTED conformance of MNPSB.DestroyChild() -\
                 Call MnpServiceBinding.DestroyChild() twice to destroy one    \
                 child handle created before.}
################################################################################

#
# Begin log ...
#
BeginLog

Include MNP/include/Mnp.inc.tcl

BeginScope _MNP_DESTROYCHILD_CONFORMANCE2_CASE1_

UINTN                            R_Status
UINTN                            R_Handle

#
# Create Child R_Handle
#
MnpServiceBinding->CreateChild "&@R_Handle, &@R_Status"
GetAck
set assert [VerifyReturnStatus R_Status $EFI_SUCCESS]
RecordAssertion $assert $GenericAssertionGuid                                  \
                "ManagedNetwork.GetModeData - Create Child"                    \
                "ReturnStatus - $R_Status, ExpectedStatus - $EFI_SUCCESS"

#
# Destroy Child R_Handle for the first time
#
MnpServiceBinding->DestroyChild "@R_Handle, &@R_Status"
GetAck
set assert [VerifyReturnStatus R_Status $EFI_SUCCESS]
RecordAssertion $assert $GenericAssertionGuid                                  \
                "MnpSB.DestroyChild - Destroy Child for the first time."       \
                "ReturnStatus - $R_Status,ExpectedStatus - $EFI_SUCCESS"
                
#
# Destroy Child R_Handle for the second time
#
MnpServiceBinding->DestroyChild "@R_Handle, &@R_Status"
GetAck
set assert [VerifyReturnStatus R_Status $EFI_UNSUPPORTED]
RecordAssertion $assert $MnpDestroyChildConf2AssertionGuid001                  \
                "MnpSB.DestroyChild - Destroy Child for the second time."      \
                "ReturnStatus - $R_Status,ExpectedStatus - $EFI_UNSUPPORTED"

EndScope _MNP_DESTROYCHILD_CONFORMANCE2_CASE1_

#
# End log ...
#
EndLog