#/*++
#  Copyright (c) 2008, Intel Corporation
#  All rights reserved. 
# 
#  This UEFI SCT ("Software") is furnished under license and may only be used or copied
#  in accordance with the terms of that license UEFI Contributor Agreement.
#  No license, express or implied, by estoppel or otherwise, to any intellectual property
#  rights is granted by this document. The Software is subject to change without notice,
#  and should not be construed as a commitment by Intel Corporation to market, license,
#  sell or support any product or technology. Unless otherwise provided for in the license
#  under which this Software is provided, the Software is provided AS IS, with no warranties
#  of any kind, express or implied. Except as expressly permitted by the Software license,
#  neither Intel Corporation nor its suppliers assumes any responsibility or liability
#  for any errors or inaccuracies that may appear herein.
#--*/
################################################################################
CaseLevel         CONFORMANCE
CaseAttribute     AUTO
CaseVerboseLevel  DEFAULT
set reportfile    report.csv

#                                                                
# test case Name, category, description, GUID...
#
CaseGuid        E840B007-A8F9-46d2-9197-25EA90ABC923
CaseName        DestroyChild.Conf1.Case1
CaseCategory    MTFTP4
CaseDescription {This case is to test the DestroyChild Conformance of Mtftp4SB -\
                 destroy a NULL child, Mtftp4ServiceBinding.DestroyChild should \
                 return EFI_INVALID_PARAMETER.}
################################################################################

Include MTFTP4/include/Mtftp4.inc.tcl

#
# Begin log ...
#
BeginLog
BeginScope _MTFTP4_DESTROYCHILD_CONFORMANCE1_CASE1_


#
# Parameter Definition
# R_ represents "Remote EFI Side Parameter"
# L_ represents "Local ENTS Side Parameter"
#
UINTN                            R_Status
UINTN                            R_Handle

#
# Destroy un-existed child
#
Mtftp4ServiceBinding->DestroyChild {0, &@R_Status}
GetAck
set assert [VerifyReturnStatus R_Status $EFI_INVALID_PARAMETER]
RecordAssertion $assert $Mtftp4DestroyChildConfAssertionGuid001                \
                "Mtftp4SB.DestroyChild - Destroy NULL Child "                  \
                "ReturnStatus - $R_Status,ExpectedStatus - $EFI_INVALID_PARAMETER"

#
# Destroy un-existed child
#
Mtftp4ServiceBinding->DestroyChild {@R_Handle, &@R_Status}
GetAck
set assert [VerifyReturnStatus R_Status $EFI_INVALID_PARAMETER]
RecordAssertion $assert $Mtftp4DestroyChildConfAssertionGuid002                \
                "Mtftp4SB.DestroyChild - returns EFI_INVALID_PARAMETER for     \
                 having Destroyed un-existed child "                           \
                "ReturnStatus - $R_Status,ExpectedStatus - $EFI_INVALID_PARAMETER"
                
EndScope _MTFTP4_DESTROYCHILD_CONFORMANCE1_CASE1_

#
# End log ...
#
EndLog
