#/*++
#  Copyright (c) 2008, Intel Corporation
#  All rights reserved. 
# 
#  This UEFI SCT ("Software") is furnished under license and may only be used or copied
#  in accordance with the terms of that license UEFI Contributor Agreement.
#  No license, express or implied, by estoppel or otherwise, to any intellectual property
#  rights is granted by this document. The Software is subject to change without notice,
#  and should not be construed as a commitment by Intel Corporation to market, license,
#  sell or support any product or technology. Unless otherwise provided for in the license
#  under which this Software is provided, the Software is provided AS IS, with no warranties
#  of any kind, express or implied. Except as expressly permitted by the Software license,
#  neither Intel Corporation nor its suppliers assumes any responsibility or liability
#  for any errors or inaccuracies that may appear herein.
#--*/
if {[info exist MTFTP4_DEFINES_TCL] == 1} {
  return
}
set MTFTP4_DEFINES_TCL 1

#
#MTFTP4 packet opcode definition
#
set EFI_MTFTP4_OPCODE_RRQ      1
set EFI_MTFTP4_OPCODE_WRQ      2
set EFI_MTFTP4_OPCODE_DATA     3
set EFI_MTFTP4_OPCODE_ACK      4
set EFI_MTFTP4_OPCODE_ERROR    5
set EFI_MTFTP4_OPCODE_OACK     6
set EFI_MTFTP4_OPCODE_DIR      7
set EFI_MTFTP4_OPCODE_DATA8    8
set EFI_MTFTP4_OPCODE_ACK8     9

#
#MTFTP4 error code definition
#
set EFI_MTFTP4_ERRORCODE_NOT_DEFINED           0
set EFI_MTFTP4_ERRORCODE_FILE_NOT_FOUND        1
set EFI_MTFTP4_ERRORCODE_ACCESS_VIOLATION      2
set EFI_MTFTP4_ERRORCODE_DISK_FULL             3
set EFI_MTFTP4_ERRORCODE_ILLEGAL_OPERATION     4
set EFI_MTFTP4_ERRORCODE_UNKNOWN_TRANSFER_ID   5
set EFI_MTFTP4_ERRORCODE_FILE_ALREADY_EXISTS   6
set EFI_MTFTP4_ERRORCODE_NO_SUCH_USER          7
set EFI_MTFTP4_ERRORCODE_REQUEST_DENIED        8

set DEF_EUT_IP_ADDR   192.168.88.88
set DEF_EUT_MAC_ADDR  [GetTargetMac]

set DEF_OS_IP_ADDR    192.168.88.1
set DEF_OS_MAC_ADDR   [GetHostMac]

set DEF_DEST_PRT      2048
set DEF_SRC_PRT       4096
set DEF_SERVER_PRT    69

#end of MTFTP4_DEFINES_TCL