/*++
 Copyright (c) 2008, Intel Corporation
 All rights reserved. 

 This UEFI SCT ("Software") is furnished under license and may only be used or copied
 in accordance with the terms of that license UEFI Contributor Agreement.
 No license, express or implied, by estoppel or otherwise, to any intellectual property
 rights is granted by this document. The Software is subject to change without notice,
 and should not be construed as a commitment by Intel Corporation to market, license,
 sell or support any product or technology. Unless otherwise provided for in the license
 under which this Software is provided, the Software is provided AS IS, with no warranties
 of any kind, express or implied. Except as expressly permitted by the Software license,
 neither Intel Corporation nor its suppliers assumes any responsibility or liability
 for any errors or inaccuracies that may appear herein.
--*/
/*++

Module Name:
  
    EmsMain.c
    
Abstract:

    Implementation for main entry point of EMS

--*/

#include <stdlib.h>
#include "EmsTclInit.h"

#ifdef WITH_GUI
STATIC Tk_ArgvInfo ArgTable[] = {
   {"", TK_ARGV_END, },
};
#endif

INT32
main (
  INT32 Argc,
  INT8  *Argv[]
  )
/*++

Routine Description:

  EMS main entry point

Arguments:

  Argc        - Argument counter.
  Argv        - Argument value pointer array.

Returns:

  exit(0) or exit(1).

--*/
{
  Tcl_Interp  *Interp;

  Tcl_FindExecutable (Argv[0]);

  Interp = Tcl_CreateInterp ();
  if (Tcl_Init (Interp) == TCL_ERROR) {
    return TCL_ERROR;
  }

  EmsTestInterpInit(Interp);

#ifdef WITH_GUI
  Tk_Main (Argc, Argv, EmsGuiInterpInit);
#else
  Tcl_Main (Argc, Argv, EmsGuiInterpInit);
#endif

  exit (0);
}
