/*++
 Copyright (c) 2008, Intel Corporation
 All rights reserved. 

 This UEFI SCRT ("Software") is furnished under license and may only be used or copied
 in accordance with the terms of that license UEFI Contributor Agreement.
 No license, express or implied, by estoppel or otherwise, to any intellectual property
 rights is granted by this document. The Software is subject to change without notice,
 and should not be construed as a commitment by Intel Corporation to market, license,
 sell or support any product or technology. Unless otherwise provided for in the license
 under which this Software is provided, the Software is provided AS IS, with no warranties
 of any kind, express or implied. Except as expressly permitted by the Software license,
 neither Intel Corporation nor its suppliers assumes any responsibility or liability
 for any errors or inaccuracies that may appear herein.
--*/
/*++

Module Name:

  Io.h

--*/
#ifndef _IPF_IO_ACCESS_H
#define _IPF_IO_ACCESS_H

#include "EfiCommon.h"
#include "EfiApi.h"
#include EFI_PROTOCOL_DEFINITION (CpuIo)

//#define VIRT_TO_PHYS_OFFSET       (0x10000000000)  //1T, 1024G.
#define VIRT_TO_PHYS_OFFSET         (0x10000000000000)

//
// If System I/O space is enabled via MMIO on IPF, the macro should be initialized by platform.
// Here is a sample address.
//
#define IPF_IOBLK_ADDR                (0x0ffffc000000)

//
// IO block addr is at ((1 << 44) - (64*ONE_MB)), make sure it is unsigned
//	
#define PORT_AND_IO_BASE_TO_MEM(_Port) \
    (((_Port) & 0xffffffffffff0000) | (((_Port) & 0xfffc) << 10) | ((_Port) & 0x0fff))



typedef union {
  VOID            *Void;
  UINT8           *Buffer;
  UINT8 VOLATILE  *Uint8;
  UINT16 VOLATILE *Uint16;
  UINT32 VOLATILE *Uint32;
  UINT64 VOLATILE *Uint64;
  UINT8           *Array[8];  // Only used for moving data
  UINT64          Value;
} VOLATILE_POINTER;

typedef union {
  UINT8 VOLATILE  Uint8;
  UINT16 VOLATILE Uint16;
  UINT32 VOLATILE Uint32;
  UINT64 VOLATILE Uint64;
  UINT8           Array[8];   // Only used for moving data
} DATA_SIZE;


#endif
