/*++
 Copyright (c) 2008, Intel Corporation
 All rights reserved. 

 This UEFI SCT ("Software") is furnished under license and may only be used or copied
 in accordance with the terms of that license UEFI Contributor Agreement.
 No license, express or implied, by estoppel or otherwise, to any intellectual property
 rights is granted by this document. The Software is subject to change without notice,
 and should not be construed as a commitment by Intel Corporation to market, license,
 sell or support any product or technology. Unless otherwise provided for in the license
 under which this Software is provided, the Software is provided AS IS, with no warranties
 of any kind, express or implied. Except as expressly permitted by the Software license,
 neither Intel Corporation nor its suppliers assumes any responsibility or liability
 for any errors or inaccuracies that may appear herein.
--*/
/*++

Module Name:

  EfiCompliantBbTestDriver.c

Abstract:

  Check the driver specific elements in EFI Spec.

--*/

//
// Includes
//

#include "EfiCompliantBbTestMain_efi.h"

//
// Module definitions
//

#define SECTION_NAME_DRIVER_SPECIFIC        L"Driver Specific"

//
// External functions implementation
//

EFI_STATUS
DriverSpecificElementsBbTest (
  IN EFI_BB_TEST_PROTOCOL         *This,
  IN VOID                         *ClientInterface,
  IN EFI_TEST_LEVEL               TestLevel,
  IN EFI_HANDLE                   SupportHandle
  )
/*++

Routine Description:

  Check the driver specific elements, which defined in the EFI spec 1.10,
  section 2.6.3.

  We didn't find a good way to test this item. So currently it is commented in
  the test entry point definitions of TestMain.c.

--*/
{
  return EFI_UNSUPPORTED;
}
