/*++
 Copyright (c) 2008, Intel Corporation
 All rights reserved. 

 This UEFI SCT ("Software") is furnished under license and may only be used or copied
 in accordance with the terms of that license UEFI Contributor Agreement.
 No license, express or implied, by estoppel or otherwise, to any intellectual property
 rights is granted by this document. The Software is subject to change without notice,
 and should not be construed as a commitment by Intel Corporation to market, license,
 sell or support any product or technology. Unless otherwise provided for in the license
 under which this Software is provided, the Software is provided AS IS, with no warranties
 of any kind, express or implied. Except as expressly permitted by the Software license,
 neither Intel Corporation nor its suppliers assumes any responsibility or liability
 for any errors or inaccuracies that may appear herein.
--*/
/*++

Module Name:

  authStub.h

Abstract:

  This driver supports platform authtest service

--*/

#ifndef _AUTH_STUB_H_
#define _AUTH_STUB_H_

#include "Tiano.h"
#include "EfiDriverLib.h"

#define malloc 	EfiLibAllocatePool
#define memcpy 	gBS->CopyMem
#define free 	gBS->FreePool


#define 	EFI_AUTHENTICATION_INFO_PROTOCOL_GUID {0x7671d9d0, 0x52db, 0x4173, 0xaa,0x69,0x23,0x27,0xf2,0x1f,0x0b,0xc7}

EFI_FORWARD_DECLARATION (EFI_AUTHENTICATION_INFO_PROTOCOL);

typedef EFI_STATUS (EFIAPI *EFI_AUTHENTICATION_INFO_PROTOCOL_GET)(
	IN EFI_AUTHENTICATION_INFO_PROTOCOL *this,
	IN EFI_HANDLE *ControllerHandle,
	OUT void *Buffer);	

typedef EFI_STATUS (EFIAPI *EFI_AUTHENTICATION_INFO_PROTOCOL_SET)(
	IN EFI_AUTHENTICATION_INFO_PROTOCOL *this,
	IN EFI_HANDLE *ControllerHandle,
	IN void *Buffer);	

typedef EFI_STATUS (EFIAPI *EFI_AUTHENTICATION_INFO_PROTOCOL_DEL)(
	IN EFI_AUTHENTICATION_INFO_PROTOCOL *this,
	IN EFI_HANDLE *ControllerHandle
	);	

typedef EFI_STATUS (EFIAPI *EFI_AUTHENTICATION_INFO_PROTOCOL_DUMPALL)(
	IN EFI_AUTHENTICATION_INFO_PROTOCOL *this
	);	
	
typedef EFI_STATUS (EFIAPI *EFI_AUTHENTICATION_INFO_PROTOCOL_CLEANALL)(
	IN EFI_AUTHENTICATION_INFO_PROTOCOL *this
	);	
			
typedef struct _EFI_AUTHENTICATION_INFO_PROTOCOL {
	EFI_AUTHENTICATION_INFO_PROTOCOL_GET Get;
	EFI_AUTHENTICATION_INFO_PROTOCOL_SET Set;
	EFI_AUTHENTICATION_INFO_PROTOCOL_DEL Del;
	EFI_AUTHENTICATION_INFO_PROTOCOL_DUMPALL DumpAll;
	EFI_AUTHENTICATION_INFO_PROTOCOL_CLEANALL CleanAll;
} EFI_AUTHENTICATION_INFO_PROTOCOL;	

#pragma pack(1)
typedef struct {
	EFI_GUID guid;
	UINT16 length;
	unsigned char authenticationData[1];
}GenericAuthenticationNodeStruct;
#pragma pack()

#define EFI_AUTHENTICATION_CHAP_RADIUS_GUID {0xd6062b50, 0x15ca, 0x11da, 0x9219, 0x00,0x10,0x83,0xff,0xca,0x4d}	

#endif