/*++
 Copyright (c) 2008, Intel Corporation
 All rights reserved. 

 This UEFI SCT ("Software") is furnished under license and may only be used or copied
 in accordance with the terms of that license UEFI Contributor Agreement.
 No license, express or implied, by estoppel or otherwise, to any intellectual property
 rights is granted by this document. The Software is subject to change without notice,
 and should not be construed as a commitment by Intel Corporation to market, license,
 sell or support any product or technology. Unless otherwise provided for in the license
 under which this Software is provided, the Software is provided AS IS, with no warranties
 of any kind, express or implied. Except as expressly permitted by the Software license,
 neither Intel Corporation nor its suppliers assumes any responsibility or liability
 for any errors or inaccuracies that may appear herein.
--*/
/*++

Module Name:

  BisBBTestMain.h

Abstract:

  BB test header file of Bis Protocol

--*/


#ifndef _BOOT_INTEGRITY_SERVICES_H_
#define _BOOT_INTEGRITY_SERVICES_H_

#include "Efi.h"
#include "guid.h"
#include "EfiTestLib.h"
#include "BisProtocol.h"
#include "EfiTestUtilityLib.h"
#include "EfiDriverLib.h"
#include "EfiCommonLib.h"

#include EFI_PROTOCOL_DEFINITION (SimpleFileSystem)

#define BIS_TEST_REVISION 0x00010000

//
// file names definition
//
#define DUMP_CERTIFICATE_FILE_NAME                L"Certificate.dump"
#define DUMP_TOKEN_FILE_NAME                      L"Token.dump"
#define CREDENTIAL_FILE_NAME                      L"Credential"
#define DATA_FILE_NAME                            L"Dataobject"
#define CERTIFICATE_FILE_NAME                     L"Certificate"
#define SECTION_NAME                              "TestObject"

//
// Prototypes of BB Test
//

//
// TDS 3.1
//
EFI_STATUS
BBTestManualTest (
  IN EFI_BB_TEST_PROTOCOL       *This,
  IN VOID                       *ClientInterface,
  IN EFI_TEST_LEVEL             TestLevel,
  IN EFI_HANDLE                 SupportHandle
  );


//
// Prototypes of Internal Functions
//
EFI_STATUS
ReadFloppyFile (
  IN CHAR16       *FileName,
  OUT UINT32      *Length,
  OUT VOID        **Buffer
  );

EFI_STATUS
WriteFloppyFile (
  IN CHAR16      *FileName,
  IN OUT UINT32  Length,
  IN VOID        *Buffer
  );

VOID
PressAnyKey ();

BOOLEAN
PressYes ();

CHAR16 *
AlgToStr (
  BIS_ALG_ID      AlgId
);

//
// Entry GUIDs
//

#define BIS_MANUAL_TEST_GUID \
  { 0x26f4f004, 0x3616, 0x455e, 0xb1, 0x4a, 0xce, 0x74, 0x38, 0x6d, 0x4c, 0xa5 }

#endif
