/*++
 Copyright (c) 2008, Intel Corporation
 All rights reserved. 

 This UEFI SCT ("Software") is furnished under license and may only be used or copied
 in accordance with the terms of that license UEFI Contributor Agreement.
 No license, express or implied, by estoppel or otherwise, to any intellectual property
 rights is granted by this document. The Software is subject to change without notice,
 and should not be construed as a commitment by Intel Corporation to market, license,
 sell or support any product or technology. Unless otherwise provided for in the license
 under which this Software is provided, the Software is provided AS IS, with no warranties
 of any kind, express or implied. Except as expressly permitted by the Software license,
 neither Intel Corporation nor its suppliers assumes any responsibility or liability
 for any errors or inaccuracies that may appear herein.
--*/
/*++

Module Name:

  TestProfileSupport.h

Abstract:

  Provides the support services for the test profile library driver.

--*/

#ifndef _EFI_TEST_PROFILE_SUPPORT_H_
#define _EFI_TEST_PROFILE_SUPPORT_H_


#include "efi.h"

#define  toupper(c)  (((c <= 'z') && (c >= 'a')) ? (c + 'A' - 'a') : c)
#define  tolower(c)  (((c <= 'Z') && (c >= 'A')) ? (c - 'A' + 'a') : c)

VOID *
memset(
  VOID        *b,
  INTN        c,
  UINTN       len
  );

VOID *
calloc(
  UINTN       NMemb,
  UINTN       MembSize
  );

VOID*
malloc(
  UINTN       size
  );

VOID
free(
  VOID        *addr
  );

INTN
memcmp(
  VOID        *s1,
  VOID        *s2,
  UINTN       n
  );

VOID *
memcpy(
  VOID        *dst,
  VOID        *src,
  UINTN       len
  );

INTN
strcmp(
  CHAR8       *s1,
  CHAR8       *s2
  );

INTN
stricmp(
  CHAR8       *s1,
  CHAR8       *s2
  );

CHAR8 *
strchr(
  CHAR8       *p,
  INTN        ch
  );

CHAR8 *
strcpy(
  CHAR8       *to,
  CHAR8       *from
  );

CHAR8 *
strncpy(
  CHAR8       *dst,
  CHAR8       *src,
  UINTN       n
  );

CHAR8 *
strcat(
  CHAR8       *s,
  CHAR8       *append
  );

UINTN
strlen(
  CHAR8       *str
  );

CHAR8 *
strdup(
  CHAR8       *str
);

CHAR16 *
wcsdup (
  CHAR16      *str
);

CHAR16 *
wcschr(
  CHAR16      *p,
  INTN        ch
  );

CHAR16 *
wcscpy(
  CHAR16      *to,
  CHAR16      *from
  );

UINTN
wcslen(
  CHAR16      *str
  );

UINTN
wcstombs(
  CHAR8       *s,
  CHAR16      *pwcs,
  UINTN       n
  );

UINTN
mbstowcs(
  CHAR16      *pwcs,
  CHAR8       *s,
  UINTN       n
  );

#endif
