/*++
 Copyright (c) 2008, Intel Corporation
 All rights reserved. 

 This UEFI SCT ("Software") is furnished under license and may only be used or copied
 in accordance with the terms of that license UEFI Contributor Agreement.
 No license, express or implied, by estoppel or otherwise, to any intellectual property
 rights is granted by this document. The Software is subject to change without notice,
 and should not be construed as a commitment by Intel Corporation to market, license,
 sell or support any product or technology. Unless otherwise provided for in the license
 under which this Software is provided, the Software is provided AS IS, with no warranties
 of any kind, express or implied. Except as expressly permitted by the Software license,
 neither Intel Corporation nor its suppliers assumes any responsibility or liability
 for any errors or inaccuracies that may appear herein.
--*/
/*++

Module Name:

  SctDebug.h

Abstract:

  This file provides the debug macro definitions for SCT.

--*/

#ifndef _EFI_SCT_DEBUG_H_
#define _EFI_SCT_DEBUG_H_

//
// Definitions
//

#define EFI_SCT_D_ERROR           0x01
#define EFI_SCT_D_DEBUG           0x02
#define EFI_SCT_D_TRACE           0x04

#define EFI_SCT_D_MASK            \
  (EFI_SCT_D_ERROR | EFI_SCT_D_DEBUG)

//
// Construction and destruction services
//

EFI_STATUS
InitializeDebugServices (
  VOID
  );

EFI_STATUS
FreeDebugServices (
  VOID
  );

//
// EFI_SCT_DEBUG worker function
//

VOID
EfiSctDebug (
  IN UINTN              Level,
  IN CHAR16             *Format,
  ...
  );

#ifdef EFI_DEBUG
  #define EFI_SCT_DEBUG(a)    EfiSctDebug a
#else
  #define EFI_SCT_DEBUG(a)
#endif

#endif
