/*++
 Copyright (c) 2008, Intel Corporation
 All rights reserved. 

 This UEFI SCT ("Software") is furnished under license and may only be used or copied
 in accordance with the terms of that license UEFI Contributor Agreement.
 No license, express or implied, by estoppel or otherwise, to any intellectual property
 rights is granted by this document. The Software is subject to change without notice,
 and should not be construed as a commitment by Intel Corporation to market, license,
 sell or support any product or technology. Unless otherwise provided for in the license
 under which this Software is provided, the Software is provided AS IS, with no warranties
 of any kind, express or implied. Except as expressly permitted by the Software license,
 neither Intel Corporation nor its suppliers assumes any responsibility or liability
 for any errors or inaccuracies that may appear herein.
--*/
/*++

Module Name:

  SctReport.h

Abstract:

  This file provides the test report generation services.

--*/

#ifndef _EFI_SCT_REPORT_H_
#define _EFI_SCT_REPORT_H_

//
// External functions declarations
//

EFI_STATUS
GetInstanceAssertion (
  IN EFI_DEVICE_PATH_PROTOCOL                         *DevicePath,
  IN CHAR16                                           *MetaName,
  OUT EFI_SCT_LOG_STATE                               *FileState,
  OUT UINT32                                          *Index,
  OUT UINT32                                          *Iteration,
  OUT UINT32                                          *PassNumber,
  OUT UINT32                                          *WarnNumber,
  OUT UINT32                                          *FailNumber
  );

EFI_STATUS
GetInterfaceAssertion (
  IN EFI_DEVICE_PATH_PROTOCOL                         *DevicePath,
  IN CHAR16                                           *MetaName,
  OUT UINT32                                          *PassNumber,
  OUT UINT32                                          *WarnNumber,
  OUT UINT32                                          *FailNumber
  );

EFI_STATUS
GetProtocolAssertion (
  IN EFI_DEVICE_PATH_PROTOCOL                         *DevicePath,
  IN CHAR16                                           *FileName,
  OUT UINT32                                          *PassNumber,
  OUT UINT32                                          *WarnNumber,
  OUT UINT32                                          *FailNumber
  );

EFI_STATUS
GenerateReport (
  IN EFI_DEVICE_PATH_PROTOCOL                         *LogDevicePath,
  IN CHAR16                                           *LogFilePath,
  IN EFI_DEVICE_PATH_PROTOCOL                         *ReportDevicePath,
  IN CHAR16                                           *ReportFileName
  );

#endif
